Subject: Re: [PATCH v3 3/3] worktree: make add <path> dwim

From: Thomas Gummerer <[email-masked]>
Date: Tue, 21 Nov 2017 22:13:39 +0000

On 11/19, Eric Sunshine wrote:
> On Sun, Nov 19, 2017 at 2:04 PM, Eric Sunshine <[email-masked]> wrote:
> > On Sat, Nov 18, 2017 at 5:47 PM, Thomas Gummerer <[email-masked]> wrote:
> >> +To disable the behaviour of trying to match the basename of <path> to
> >> +a remote, and always create a new branch from HEAD, the `--no-track`
> >
> > Does --[no-]track deserve to be documented in the OPTIONS section like
> > the other options are?
> 
> One other question: Since this is re-using the well-known option name
> --no-track, should it also get applied to the "git worktree add -b foo
> dir origin/foo" case, as well, which you pointed out (in the patch 2/3
> thread) already DWIMs tracking automatically? (I can easily see
> someone reporting it as a bug if "git worktree add --no-track -b foo
> dir origin/foo" does not suppress tracking.)

I didn't consider that, I think you are right, and the flag should
apply in that case as well.  I think at that point we may as well pass
this flag through to the 'git branch' call, and let users set up
tracking if they want to, the same way it works in 'git branch'.  Thanks!